info.bioinfweb.jphyloio.events.type

## Enum EventTopologyType

- java.lang.Object
- - java.lang.Enum<EventTopologyType>
  - - info.bioinfweb.jphyloio.events.type.EventTopologyType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EventTopologyType>

      public enum EventTopologyType
      extends java.lang.Enum<EventTopologyType>

  Allows to determine between events that start and a end a data model structure (e.g. a tree) and events that do not describe a structure that can have nested data.

  Most structures in JPhyloIO allow to have nested data and therefore trigger a start and later an end event. Some exceptions that are not allowed to have nested data (not even metadata) will have the type `SOLE`.

  Since:
    0.0.0
  Author:
    Ben Stöver

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `END` Indicates that this event marks the end of a structure (e.g.
    `SOLE` Indicates that this event is not separated into a start and an end event and no nested data will follow.
    `START` Indicates that this event marks the start of a sequence of subevents of this event (e.g.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventTopologyType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EventTopologyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START

          public static final EventTopologyType START

      Indicates that this event marks the start of a sequence of subevents of this event (e.g. the start of a tree definition) following by an end event of the same content type.

    - #### END

          public static final EventTopologyType END

      Indicates that this event marks the end of a structure (e.g. a tree definition or an alignment).

    - #### SOLE

          public static final EventTopologyType SOLE

      Indicates that this event is not separated into a start and an end event and no nested data will follow.

  - ### Method Detail

    - #### values

          public static EventTopologyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventTopologyType c : EventTopologyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventTopologyType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null